# Creating bank withdrawal

<mark style="color:green;">`POST`</mark> `/api/public/v1/transactions/bank_withdrawals`

This endpoint creates a bank withdrawal.

**Headers**

<table><thead><tr><th width="320">Name</th><th>Value</th></tr></thead><tbody><tr><td>Content-Type</td><td><code>application/vnd.api+json</code></td></tr><tr><td>Authorization</td><td><code>Bearer &#x3C;api_key></code></td></tr></tbody></table>

**Request Body**

```json
{
  "data": {
    "type": "bankWithdrawalTransactions",
    "attributes": {
      "absorb_fees": true,
      "account_id": "acd50522-de49-4aaa-a183-dc046ff27fd5",
      "bank_account_id": "a754cd82-74a0-4c1c-a832-e83445bce2c5",
      "amount": 1,
      "reference": "Fiat payout from Txn to Acme"
    }
  }
}
```

<table><thead><tr><th>Name</th><th width="100">Type</th><th width="105">Required</th><th>Description</th></tr></thead><tbody><tr><td>data.type</td><td>string</td><td>Yes</td><td>Can only be <code>bankWithdrawalTransactions</code>.</td></tr><tr><td>data.attributes.reference</td><td>string</td><td>Yes</td><td>The custom reference ID to tie the request to end-user or their account who gets paid. This can be anything you choose.</td></tr><tr><td>data.attributes.amount</td><td>number</td><td>Yes</td><td>Withdrawal amount.</td></tr><tr><td>data.attributes.account_id</td><td>string</td><td>Yes</td><td>Account ID on the Txn platform, e.g. your Euro account, which Txn will debit funds from.</td></tr><tr><td>data.attributes.bank_account_id</td><td>string</td><td>Yes</td><td>Beneficiary (bank account) ID. Refer to <a href="/pages/8yHTHPLZ0E9fbn4BIpy3">Listing Beneficiaries</a>.</td></tr><tr><td>absorbFees</td><td>boolean</td><td>No</td><td>If false or omitted, the service fee is deducted from the transaction amount. If true, the service fee is deducted from your account balance.</td></tr></tbody></table>

**Response Body**

{% tabs %}
{% tab title="HTTP 201" %}

```json
{
  "data": {
    "id": "8ba506eb-0a5e-4518-9f64-9fcb399691aa",
    "type": "transactions",
    "attributes": {
      "createdAt": "2024-12-11T16:23:37.732Z",
      "simplifiedState": "completed",
      "transactionType": "BankWithdrawalTransaction",
      "amount": "-1.01",
      "reference": null
    },
    "relationships": {
      "account": {
        "meta": {
          "included": false
        }
      },
      "transactionDetails": {
        "data": {
          "type": "bank_withdrawal_transactions",
          "id": "8ba506eb-0a5e-4518-9f64-9fcb399691aa"
        }
      }
    }
  },
  "included": [
    {
      "id": "8ba506eb-0a5e-4518-9f64-9fcb399691aa",
      "type": "bank_withdrawal_transactions",
      "attributes": {
        "absorbFees": true,
        "createdAt": "2024-12-11T16:23:37.690Z",
        "updatedAt": "2024-12-11T16:23:37.690Z",
        "state": "completed",
        "iban": "LT563400023810000822",
        "beneficiaryName": "Acme",
        "reference": "Fiat payout from Txn to Acme",
        "paymentStatus": "created",
        "bankBic": "GXPTLT22XXX",
        "bankName": "BANK NAME",
        "currency": "EUR",
        "amount": "1.01",
        "payAmount": "1.00",
        "fee": "0.01"
      },
      "relationships": {
        "bankAccount": {
          "meta": {
            "included": false
          }
        },
        "account": {
          "meta": {
            "included": false
          }
        }
      }
    }
  ],
  "meta": {},
  "jsonapi": {
    "version": "1.0"
  }
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.txn.io/fiat-settlements/creating-bank-withdrawal.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
